--[[

ARL-Vendor.lua

Vendor data for all of AckisRecipeList

]]--

ARL = AckisRecipeList
local L			= AceLibrary("AceLocale-2.2"):new("AckisRecipeList")
local BFAC		= AceLibrary("Babble-Faction-2.2")
local BZONE		= LibStub("LibBabble-Zone-3.0"):GetLookupTable();

-- Initializes the array adding all vendors
--ARL:addVendorList(, "", BFAC[""], BZONE[""], "")
function ARL:ARL_InitVendor()

	ARL_VendorList = {}

	ARL:addVendorList(52, "Alexandra Bolero", BFAC["Alliance"], BZONE["Stormwind City"], "43, 74")
	ARL:addVendorList(13, "Amy Davenport", BFAC["Alliance"], BZONE["Redridge Mountains"], "29, 47")
	ARL:addVendorList(6, "Andrew Hilbert", BFAC["Horde"], BZONE["Silverpine Forest"], "43, 40")
	ARL:addVendorList(66, "Andrion Darkspinner", BFAC["Neutral"], BZONE["Shattrath City"], "66, 67")
	ARL:addVendorList(62, "Arrond", BFAC["Neutral"], BZONE["Netherstorm"], "55, 58")
	ARL:addVendorList(32, "Asarnan", BFAC["Neutral"], BZONE["Netherstorm"], "44, 34")
	ARL:addVendorList(84, "Blizrik Buckshot", BFAC["Neutral"], BZONE["Tanaris"], "50, 27")
	ARL:addVendorList(63, "Borto", BFAC["Alliance"], BZONE["Nagrand"], "53, 71")
	ARL:addVendorList(5, "Borya", BFAC["Horde"], BZONE["Orgrimmar"], "63, 51")
	ARL:addVendorList(22, "Brienna Starglow", BFAC["Alliance"], BZONE["Feralas"], "88, 45")
	ARL:addVendorList(3, "Constance Brisboise", BFAC["Horde"], BZONE["Tirisfal Glades"], "52, 56")
	ARL:addVendorList(71, "Crazk Sparks", BFAC["Neutral"], BZONE["Stranglethorn Vale"], "28, 76")
	ARL:addVendorList(51, "Cowardly Crosby", BFAC["Neutral"], BZONE["Stranglethorn Vale"], "26, 82")
	ARL:addVendorList(21, "Danielle Zipstitch", BFAC["Alliance"], BZONE["Duskwood"], "75, 45")
	ARL:addVendorList(73, "Darian Singh", BFAC["Allaince"], BZONE["Stormwind"], "29, 67")
	ARL:addVendorList(55, "Darnall", BFAC["Neutral"], BZONE["Moonglade"], "51, 33")
	ARL:addVendorList(33, "Dealer Malij", BFAC["Neutral"], BZONE["Netherstorm"], "44, 34")
	ARL:addVendorList(58, "Deynna", BFAC["Horde"], BZONE["Silvermoon City"], "55, 51")
	ARL:addVendorList(10, "Drake Lindgren", BFAC["Alliance"], BZONE["Elwynn Forest"], "82, 66")
	ARL:addVendorList(59, "Eiin", BFAC["Neutral"], BZONE["Shattrath City"], "65, 67")
	ARL:addVendorList(34, "Egomis", BFAC["Alliance"], BZONE["The Exodar"], "40, 39")
	ARL:addVendorList(11, "Elynna", BFAC["Alliance"], BZONE["Darnassus"], "64, 22")
	ARL:addVendorList(35, "Erilia", BFAC["Horde"], BZONE["Eversong Woods"], "55, 54")
	ARL:addVendorList(36, "Felannia", BFAC["Horde"], BZONE["Hellfire Peninsula"], "52, 36")
	ARL:addVendorList(67, "Fradd Swiftgear", BFAC["Alliance"], BZONE["Wetlands"], "26, 27")
	ARL:addVendorList(72, "Gagsprocket", BFAC["Neutra;"], BZONE["The Barrens"], "62, 36")
	ARL:addVendorList(74, "Gearcutter Cogspinner", BFAC["Alliance"], BZONE["Ironforge"], "67, 43")
	ARL:addVendorList(65, "Gidge Spellweaver", BFAC["Neutral"], BZONE["Shattrath City"], "66, 68")
	ARL:addVendorList(7, "Gina MacGregor", BFAC["Alliance"], BZONE["Westfall"], "57, 54")
	ARL:addVendorList(79, "Gnaz Blunderflame", BFAC["Neutral"], BZONE["Stranglethorn Vale"], "50, 35")
	ARL:addVendorList(28, "Ghok'kah", BFAC["Horde"], BZONE["Dustwallow Marsh"], "35, 31")
	ARL:addVendorList(14, "Jennabink Powerseam", BFAC["Alliance"], BZONE["Wetlands"], "8, 55")
	ARL:addVendorList(37, "Jessara Cordell", BFAC["Alliance"], BZONE["Stormwind City"], "43, 64")
	ARL:addVendorList(68, "Jinky Twizzlefixxit", BFAC["Neutral"], BZONE["Thousand Needles"], "77, 77")
	ARL:addVendorList(38, "Johan Barnes", BFAC["Alliance"], BZONE["Hellfire Peninsula"], "53, 66")
	ARL:addVendorList(85, "Jubie Gadgetspring", BFAC["Neutral"], BZONE["Azshara"], "45, 91")
	ARL:addVendorList(23, "Jun'ha", BFAC["Horde"], BZONE["Arathi Highlands"], "72, 36")
	ARL:addVendorList(39, "Kania", BFAC["Neutral"], BZONE["Silithus"], "51, 39")
	ARL:addVendorList(40, "Kithas", BFAC["Horde"], BZONE["Orgrimmar"], "53, 38")
	ARL:addVendorList(15, "Kiknikle", BFAC["Neutral"], BZONE["The Barrens"], "41, 38")
	ARL:addVendorList(24, "Kireena", BFAC["Horde"], BZONE["Desolace"], "51, 53")
	ARL:addVendorList(83, "Knaz Blunderflame", BFAC["Neutral"], BZONE["Stranglethorn Vale"], "50, 35")
	ARL:addVendorList(76, "Kzixx", BFAC["Neutral"], BZONE["Duskwood"], "83, 20")
	ARL:addVendorList(41, "Leo Sam", BFAC["Horde"], BZONE["Silverpine Forest"], "53, 82")
	ARL:addVendorList(42, "Lilly", BFAC["Horde"], BZONE["Silverpine Forest"], "43, 50")
	ARL:addVendorList(56, "Lorelae Wintersong", BFAC["Neutral"], BZONE["Moonglade"], "48, 40")
	ARL:addVendorList(43, "Lyna", BFAC["Horde"], BZONE["Silvermoon City"], "69, 24")
	ARL:addVendorList(44, "Madame Ruby", BFAC["Neutral"], BZONE["Shattrath City"], "32, 30")
	ARL:addVendorList(26, "Mallen Swain", BFAC["Horde"], BZONE["Hillsbrad Foothills"], "61, 20")
	ARL:addVendorList(9, "Mahu", BFAC["Horde"], BZONE["Thunder Bluff"], "43, 44")
	ARL:addVendorList(61, "Mathar G'ochar", BFAC["Horde"], BZONE["Nagrand"], "56, 37")
	ARL:addVendorList(78, "Mazk Snipeshot", BFAC["Neutral"], BZONE["Stranglethorn Vale"], "28, 75")
	ARL:addVendorList(29, "Micha Yance", BFAC["Alliance"], BZONE["Hillsbrad Foothills"], "50, 56")
	ARL:addVendorList(16, "Millie Gregorian", BFAC["Horde"], BZONE["Undercity"], "71, 28")
	ARL:addVendorList(57, "Mishta", BFAC["Neutral"], BZONE["Silithus"], "49, 36")
	ARL:addVendorList(63, "Muheru the Weaver", BFAC["Alliance"], BZONE["Zangarmarsh"], "40, 28")
	ARL:addVendorList(69, "Namdo Bizzfizzle", BFAC["Alliance"], BZONE["Gnomeregan"], "???")
	ARL:addVendorList(45, "Nata Dawnstrider", BFAC["Horde"], BZONE["Thunder Bluff"], "45, 39")
	ARL:addVendorList(20, "Nasmara Moonsong", BFAC["Neutral"], BZONE["Shattrath City"], "66, 67")
	ARL:addVendorList(30, "Narkk", BFAC["Neutral"], BZONE["Stranglethorn Vale"], "28, 74")
	ARL:addVendorList(60, "Neii", BFAC["Alliance"], BZONE["The Exodar"], "64, 68")
	ARL:addVendorList(50, "Outfitter Eric", BFAC["Alliance"], BZONE["Ironforge"], "43, 29")
	ARL:addVendorList(53, "Qia", BFAC["Neutral"], BZONE["Winterspring"], "61, 37")
	ARL:addVendorList(12, "Ranik", BFAC["Neutral"], BZONE["Ratchet"], "61, 38")
	ARL:addVendorList(17, "Rann Flamespinner", BFAC["Alliance"], BZONE["Loch Modan"], "36, 46")
	ARL:addVendorList(8, "Rathis Tomber", BFAC["Horde"], BZONE["Ghostlands"], "47, 28")
	ARL:addVendorList(75, "Rizz Loosebolt", BFAC["Neutral"], BZONE["Alterac Mountains"], "47, 35")
	ARL:addVendorList(80, "Ruppo Zipcoil", BFAC["Neutral"], BZONE["The Hinterlands"], "34, 37")
	ARL:addVendorList(54, "Shen'dralar Provisioner", BFAC["Neutral"], BZONE["Dire Maul"], "Dire Maul Library")
	ARL:addVendorList(20, "Sheri Zipstitch", BFAC["Alliance"], BZONE["Duskwood"], "75, 45")
	ARL:addVendorList(70, "Sovik", BFAC["Horde"], BZONE["Orgrimmar"], "75, 25")
	ARL:addVendorList(46, "Thaddeus Webb", BFAC["Horde"], BZONE["Undercity"], "62, 60")
	ARL:addVendorList(4, "Tharynn Bouden", BFAC["Alliance"], BZONE["Elwynn Forest"], "42, 67")
	ARL:addVendorList(47, "Tilli Thistlefuzz", BFAC["Alliance"], BZONE["Ironforge"], "60, 44")
	ARL:addVendorList(2, "Valdaron", BFAC["Alliance"], BZONE["Darkshore"], "38, 41")
	ARL:addVendorList(25, "Wenna Silkbeard", BFAC["Alliance"], BZONE["Wetlands"], "25, 25")
	ARL:addVendorList(1, "Wrahk", BFAC["Horde"], BZONE["The Barrens"], "52, 32")
	ARL:addVendorList(27, "Xizk Goodstitch", BFAC["Neutral"], BZONE["Stranglethorn Vale"], "28, 76")
	ARL:addVendorList(87, "Xizzer Fizzbolt", BFAC["Neutral"], BZONE["Winterspring"], "60, 38")
	ARL:addVendorList(18, "Yonada", BFAC["Horde"], BZONE["The Barrens"], "44, 59")
	ARL:addVendorList(48, "Vaean", BFAC["Alliance"], BZONE["Darnassus"], "58, 14")
	ARL:addVendorList(77, "Veenix", BFAC["Neutral"], BZONE["Stonetalon Mountains"], "58, 51")
	ARL:addVendorList(31, "Vizzklick", BFAC["Neutral"], BZONE["Tanaris"], "51, 27")
	ARL:addVendorList(82, "Yuka Screwspigot", BFAC["Neutral"], BZONE["Burning Steppes"], "66, 22")
	ARL:addVendorList(49, "Yurial Soulwater", BFAC["Neutral"], BZONE["Shattrath City"], "44, 97")
	ARL:addVendorList(81, "Zan Shivsproket", BFAC["Neutral"], BZONE["Alterac Mountains"], "86, 80")
	ARL:addVendorList(19, "Zixil", BFAC["Neutral"], BZONE["Hillsbrad Foothills"], "Patrols")
	ARL:addVendorList(86, "Zorbin Fandazzle", BFAC["Neutral"], BZONE["Feralas"], "44, 43")
	ARL:addVendorList(64, "Zurai", BFAC["Horde"], BZONE["Zangarmarsh"], "85, 54")

end
